%{
#include <stdio.h>
#include "parser.h"

int nl = 1;
%}

%option noyywrap

D [0-9]
W [ \t\r]

%%

{D}+          { yylval = atoi(yytext); return T_num; }

[\+\-\*\(\)]  { return yytext[0]; }

{W}+    { /* nothing */ }
\n      { nl++; }

.       { printf("Illegal character: '%c'", yytext[0]); }

%%
